org.eclipse.emf.compare

## Enum DifferenceState

- java.lang.Object
- - java.lang.Enum<DifferenceState>
  - - org.eclipse.emf.compare.DifferenceState

All Implemented Interfaces:
  Serializable, Comparable<DifferenceState>, Enumerator

    public enum DifferenceState
    extends Enum<DifferenceState>
    implements Enumerator

A representation of the literals of the enumeration 'Difference State', and utility methods for working with them. This will be used to represent the state of a detected diff.

- UNRESOLVED if the Diff is still in its initial state and the two sides differ,
- MERGED if the Diff has already been merged by the user,
- DISCARDED if the user chose to ignore this Diff,
- MERGING if the Diff is in the process of being merged.

See Also:
  `ComparePackage.getDifferenceState()`
Generated:

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DISCARDED` The 'DISCARDED' literal object.
`MERGED` The 'MERGED' literal object.
`MERGING` The 'MERGING' literal object.
`UNRESOLVED` The 'UNRESOLVED' literal object.

### Field Summary

Fields
`static String` `copyright`
`static int` `DISCARDED_VALUE` The 'DISCARDED' literal value.
`static int` `MERGED_VALUE` The 'MERGED' literal value.
`static int` `MERGING_VALUE` The 'MERGING' literal value.
`static int` `UNRESOLVED_VALUE` The 'UNRESOLVED' literal value.
`static List<DifferenceState>` `VALUES` A public read-only list of all the 'Difference State' enumerators.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static DifferenceState` `get(int value)` Returns the 'Difference State' literal with the specified integer value.
`static DifferenceState` `get(String literal)` Returns the 'Difference State' literal with the specified literal value.
`static DifferenceState` `getByName(String name)` Returns the 'Difference State' literal with the specified name.
`String` `getLiteral()`
`String` `getName()`
`int` `getValue()`
`String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static DifferenceState` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DifferenceState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNRESOLVED

    public static final DifferenceState UNRESOLVED

The 'UNRESOLVED' literal object.

See Also:
  `UNRESOLVED_VALUE`
Generated:

#### MERGED

    public static final DifferenceState MERGED

The 'MERGED' literal object.

See Also:
  `MERGED_VALUE`
Generated:

#### DISCARDED

    public static final DifferenceState DISCARDED

The 'DISCARDED' literal object.

See Also:
  `DISCARDED_VALUE`
Generated:

#### MERGING

    public static final DifferenceState MERGING

The 'MERGING' literal object.

Since:
  3.5
See Also:
  `MERGING_VALUE`
Generated:

### Field Detail

#### copyright

    public static final String copyright

See Also:
  Constant Field Values
Generated:

#### UNRESOLVED_VALUE

    public static final int UNRESOLVED_VALUE

The 'UNRESOLVED' literal value. Indicates that the Diff is still in its initial state.

See Also:
  `UNRESOLVED`, Constant Field Values
Generated:

#### MERGED_VALUE

    public static final int MERGED_VALUE

The 'MERGED' literal value. Indicates that the Diff has already been merged by the user.

See Also:
  `MERGED`, Constant Field Values
Generated:

#### DISCARDED_VALUE

    public static final int DISCARDED_VALUE

The 'DISCARDED' literal value. Indicates that the user chose to ignore this Diff.

See Also:
  `DISCARDED`, Constant Field Values
Generated:

#### MERGING_VALUE

    public static final int MERGING_VALUE

The 'MERGING' literal value. Indicates that the Diff is in the process of being merged.

Since:
  3.4
See Also:
  `MERGING`, Constant Field Values
Generated:

#### VALUES

    public static final List<DifferenceState> VALUES

A public read-only list of all the 'Difference State' enumerators.

Generated:

### Method Detail

#### values

    public static DifferenceState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DifferenceState c : DifferenceState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DifferenceState valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### get

    public static DifferenceState get(String literal)

Returns the 'Difference State' literal with the specified literal value.

Generated:

#### getByName

    public static DifferenceState getByName(String name)

Returns the 'Difference State' literal with the specified name.

Generated:

#### get

    public static DifferenceState get(int value)

Returns the 'Difference State' literal with the specified integer value.

Generated:

#### getValue

    public int getValue()

Specified by:
  `getValue` in interface `Enumerator`
Generated:

#### getName

    public String getName()

Specified by:
  `getName` in interface `Enumerator`
Generated:

#### getLiteral

    public String getLiteral()

Specified by:
  `getLiteral` in interface `Enumerator`
Generated:

#### toString

    public String toString()

Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<DifferenceState>`
Generated: